﻿using UnityEngine;
using System.Collections;

[RequireComponent (typeof (SpriteRenderer))]

public class ForceSpriteSorting : MonoBehaviour {

	public ParticleSystem _particleSystem;
	public LineRenderer _lineRenderer;

	private SpriteRenderer spriteRenderer;
	private int sortingLayerID;
	private int sortingOrder;
	private Renderer _renderer;
	
	void Start () {

		spriteRenderer = GetComponent<SpriteRenderer>();
		sortingLayerID = spriteRenderer.sortingLayerID;
		sortingOrder = spriteRenderer.sortingOrder;

		if (_particleSystem != null) {
			_renderer = _particleSystem.GetComponent<Renderer>();

			_renderer.sortingLayerID = sortingLayerID;
			_renderer.sortingOrder = sortingOrder;
		}

		if (_lineRenderer != null) {

			_lineRenderer.sortingLayerID = sortingLayerID;
			_lineRenderer.sortingOrder = sortingOrder;
		}
	
	}
}
