﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class LevelData {

	public string startText = "";
	public Vector2 hexTarget, circTarget, triTarget;

	public LevelData(Vector2 ht, Vector2 ct, Vector2 tt){
		hexTarget = ht;
		circTarget = ct;
		triTarget = tt;
	}

	public static List<LevelData> Levels(){
		List<LevelData> levels = new List<LevelData> ();
		Vector2 ht, ct, tt;

		//Level1:
		ht = Vector2.zero;
		ct = new Vector2 (0.5f, -1);
		tt = Vector2.zero;
		levels.Add (new LevelData(ht,ct,tt));

		//Level2:
		ht = Vector2.zero;
		ct = Vector2.zero;
		tt = new Vector2 (-0.5f, -1f);
		levels.Add (new LevelData(ht,ct,tt));

		//Level 3
		ht = new Vector2(-0.75f, 1f);
		ct = Vector2.zero;
		tt = Vector2.zero;
		levels.Add (new LevelData(ht,ct,tt));

		//Level 4
		ht = new Vector2 (-0.25f, 1f);
		ct = new Vector2 (0.75f, 0.5f);
		tt = Vector2.zero;
		levels.Add (new LevelData(ht,ct,tt));


		return levels;
	}
}
