﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CreateWaveForms {

	static float frequency(float period){ return (Mathf.Pow (5,period)); }
	static float amplitude (float boundary){ return 2 * (boundary / Mathf.PI); }

	public static float triangleWave (float xVal, float period, float boundary) { return Mathf.Asin (Mathf.Sin (frequency(period) * xVal)) * amplitude(boundary); }
	//public static float curveyTriangleWave (float xVal, float period, float boundary, float exponent) { return ( Mathf.Pow( triangleWave(xVal, period, boundary) , exponent) ); }
	public static float squareWave (float xVal, float period, float boundary) { return Mathf.Sign (Mathf.Sin (xVal*frequency (period)))*amplitude (boundary);}
	public static float sineWave (float xVal, float period, float boundary) { return ( amplitude (boundary) * Mathf.Sin(xVal * frequency(period)) );}
}
